# PetscDrawLine

PetscDraws a line onto a drawable.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawLine(PetscDraw draw,PetscReal xl,PetscReal yl,PetscReal xr,PetscReal yr,int cl)

Not collective

### Input Parameters

| draw | - the drawing context
| xl,yl,xr,yr | - the coordinates of the line endpoints
| cl | - the colors of the endpoints

Level:beginner
Location: src/sys/draw/interface/dline.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/da/examples/tutorials/ex6.c.html
src/dm/da/examples/tutorials/ex6f90.F.html